org.apache.lucene.analysis.pt

## Class PortugueseMinimalStemmer

- java.lang.Object
- - org.apache.lucene.analysis.pt.RSLPStemmerBase
  - - org.apache.lucene.analysis.pt.PortugueseMinimalStemmer

    public class PortugueseMinimalStemmer
    extends RSLPStemmerBase

Minimal Stemmer for Portuguese

This follows the "RSLP-S" algorithm presented in: A study on the Use of Stemming for Monolingual Ad-Hoc Portuguese Information Retrieval (Orengo, et al) which is just the plural reduction step of the RSLP algorithm from A Stemming Algorithm for the Portuguese Language, Orengo et al.

See Also:
  `RSLPStemmerBase`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase

`RSLPStemmerBase.Rule, RSLPStemmerBase.RuleWithSetExceptions, RSLPStemmerBase.RuleWithSuffixExceptions, RSLPStemmerBase.Step`

### Constructor Summary

Constructors
Constructor and Description
`PortugueseMinimalStemmer()`

### Method Summary

Methods
`int` `stem(char[] s, int len)`

### Methods inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PortugueseMinimalStemmer

    public PortugueseMinimalStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
           int len)